Lookups
Static lists for form options: countries, currencies and languages. They rarely change and can be cached for a day.
Countries#
POST
/external/countiesAuthentication: Authorization: Bearer
Returns all countries. No body required. id is used as countryID in the payment step.
Response
200 Success.
curl -X POST "https://test.hms.gen.tr/external/counties" \
-H "Authorization: Bearer $HMS_TOKEN"const res = await fetch("https://test.hms.gen.tr/external/counties", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.HMS_TOKEN}`
}
});
const data = await res.json();$ch = curl_init('https://test.hms.gen.tr/external/counties');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('HMS_TOKEN'),
],
]);
$data = json_decode(curl_exec($ch), true);{
"success": true,
"count": 249,
"items": [
{
"id": 1,
"name": "Türkiye",
"nameIng": "Turkey",
"code": "TR",
"plate": "TR"
},
{
"id": 2,
"name": "Almanya",
"nameIng": "Germany",
"code": "DE",
"plate": "D"
}
]
}Currencies#
GET
/external/currenciesAuthentication: Authorization: Bearer
Query parameters
limitintegerdefault: 20Records per page.
pageintegerdefault: 1Page number.
orderstringid or -id.Response
200 Success.
curl "https://test.hms.gen.tr/external/currencies?limit=10&page=1" \
-H "Authorization: Bearer $HMS_TOKEN"const res = await fetch("https://test.hms.gen.tr/external/currencies?limit=10&page=1", {
headers: {
"Authorization": `Bearer ${process.env.HMS_TOKEN}`
}
});
const data = await res.json();$ch = curl_init('https://test.hms.gen.tr/external/currencies?limit=10&page=1');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('HMS_TOKEN'),
],
]);
$data = json_decode(curl_exec($ch), true);{
"success": true,
"count": 4,
"items": [
{
"id": 1,
"titleCode": "TRY",
"symbol": "₺",
"price": 1
},
{
"id": 2,
"titleCode": "EUR",
"symbol": "€",
"price": 47.85000000000000142108547152020037174224853515625
},
{
"id": 3,
"titleCode": "USD",
"symbol": "$",
"price": 41.2000000000000028421709430404007434844970703125
}
]
}Languages#
GET
/external/languagesAuthentication: Authorization: Bearer
Query parameters
limitintegerdefault: 20Records per page.
pageintegerdefault: 1Page number.
orderstringid or -id.Response
200 Success.
curl "https://test.hms.gen.tr/external/languages?limit=10&page=1" \
-H "Authorization: Bearer $HMS_TOKEN"const res = await fetch("https://test.hms.gen.tr/external/languages?limit=10&page=1", {
headers: {
"Authorization": `Bearer ${process.env.HMS_TOKEN}`
}
});
const data = await res.json();$ch = curl_init('https://test.hms.gen.tr/external/languages?limit=10&page=1');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('HMS_TOKEN'),
],
]);
$data = json_decode(curl_exec($ch), true);{
"success": true,
"count": 3,
"items": [
{
"id": 1,
"title": "Türkçe",
"code": "tr",
"image": "https://test.hms.gen.tr/images/1000/dil/t-tr.png"
},
{
"id": 2,
"title": "English",
"code": "en",
"image": "https://test.hms.gen.tr/images/1000/dil/t-en.png"
},
{
"id": 3,
"title": "Deutsch",
"code": "de",
"image": "https://test.hms.gen.tr/images/1000/dil/t-de.png"
}
]
}